Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.model
Class Scenario

    java.lang.Object
      org.jbehave.core.model.Scenario

    public class Scenario

extends Object

Constructor Summary
`Scenario()`
`Scenario(List<String> steps)`
`Scenario(String title, List<String> steps)`
`Scenario(String title, Meta meta)`
`Scenario(String title, Meta meta, GivenStories givenStories, ExamplesTable examplesTable, List<String> steps)`

Method Summary
`Meta` | `asMeta(String prefix)`
`ExamplesTable` | `getExamplesTable()`
`GivenStories` | `getGivenStories()`
`Meta` | `getMeta()`
`List<String>` | `getSteps()`
`String` | `getTitle()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Scenario

    public Scenario()

### Scenario

    public Scenario(List<String> steps)

### Scenario

    public Scenario(String title,
                    Meta meta)

### Scenario

    public Scenario(String title,
                    List<String> steps)

### Scenario

    public Scenario(String title,
                    Meta meta,
                    GivenStories givenStories,
                    ExamplesTable examplesTable,
                    List<String> steps)

Method Detail

### getTitle

    public String getTitle()

### getGivenStories

    public GivenStories getGivenStories()

### getExamplesTable

    public ExamplesTable getExamplesTable()

### asMeta

    public Meta asMeta(String prefix)

### getMeta

    public Meta getMeta()

### getSteps

    public List<String> getSteps()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.